import request from '../utils/request';
export function employee_login(data, config) {
    return request({
        url: '/tianzong/appSysUser/employee_login',
        method: 'post',
        data: data,
        ...config
    })
}

// 寄件-寄件人信息
export function getSendInfo(data, config) {
    return request({
        url: '/tianzong/client/without/getSendInfo',
        method: 'post',
        data: data,
        ...config,
    })
}

// 寄件-我的寄件
export function saveMailDo(data) {
    return request({
        url: '/tianzong/client/without/saveMail.do',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 寄件-内部件
export function saveInternal(data) {
    return request({
        url: '/tianzong/client/inside/save',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}
// 寄件-内部件-收件人
export function getUserByName(data, config) {
    return request({
        url: '/tianzong/client/user/getUserByName',
        method: 'post',
        data: data,
        emulateJSON: true,
        ...config
    })
}

// 我的寄件- 列表
export function getListByUser(data) {
    return request({
        url: '/tianzong/client/inside/getListByUser',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 我的寄件-外部件-详情
export function findWithoutInfoById(data, config) {
    return request({
        url: '/tianzong/client/without/findWithoutInfoById',
        method: 'post',
        data: data,
        emulateJSON: true,
        ...config
    })
}
// 我的寄件-内部件-详情
export function findInsideInfoById(data, config) {
    return request({
        url: '/tianzong/client/inside/findInsideInfoById',
        method: 'post',
        data: data,
        emulateJSON: true,
        ...config
    })
}

// 我的收件- 收件
export function getExpressByUser(data) {
    return request({
        url: '/tianzong/client/inside/getExpressByUser',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 我的收件-详情
export function getExpressById(data, config) {
    return request({
        url: '/tianzong/client/inside/getExpressById',
        method: 'post',
        data: data,
        emulateJSON: true,
        ...config
    })
}

// 我的-个人信息
export function getUserByUserId(data) {
    return request({
        url: '/tianzong/client/user/getUserByUserId',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}
// 我的-修改个人信息
export function UserUpdate(data) {
    return request({
        url: '/tianzong/client/user/update',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

//获取微信
export function getWxConfig(data) {
    return request({
        url: '/tianzong/weixin/getWxConfig',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

//快递公司
export function geLogisticsList(data) {
    return request({
        url: '/tianzong/client/express/company/list',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}


//修改密码
export function forgetPassword(data) {
    return request({
        url: '/tianzong/appSysUser/forgetPassword',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}


// 首先获取打印机 判断打印机的数量，如果没有提示， 如果只有一个直接进入打印,如果有多个打印机弹框让用户选择然后在进入打印，
//获取打印机
export function getListOfPrinters(data) {
    return request({
        url: '/tianzong/printer/getListOfPrinters',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 入库打印标签
export function storagePrintSmallTab(data) {
    return request({
        url: '/tianzong/printer/storagePrintSmallTab',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}


// 门店调货寄件
export function storeMail(data) {
    return request({
        url: '/tianzong/storeSend/storeMail',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 获取权限
export function getRole(data) {
    return request({
        url: '/tianzong/client/user/getRole',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}



